Skip to main content
PUT
/
notes
/
{id}
Update Note
curl --request PUT \
  --url https://crm.universal.rollout.com/api/notes/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Rollout-Credential-Id: <api-key>' \
  --data '
{
  "personId": "<string>",
  "assignedUserId": "<string>",
  "subject": "<string>",
  "body": "<string>",
  "isHtml": true
}
'
{
  "id": "<string>",
  "personId": "<string>",
  "assignedUserId": "<string>",
  "createdByUserId": "<string>",
  "updatedByUserId": "<string>",
  "subject": "<string>",
  "body": "<string>",
  "isHtml": true,
  "created": "<string>",
  "updated": "<string>",
  "rolloutUpdated": "<string>",
  "originalIds": {},
  "original": {}
}

Documentation Index

Fetch the complete documentation index at: https://rollout.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authorization JWT

X-Rollout-Credential-Id
string
header
required

The Rollout Credential ID to use for queries/mutations

Path Parameters

id
string
required

Body

personId
string
assignedUserId
string
subject
string
body
string
isHtml
boolean

Response

OK

id
string
required
personId
string
required
assignedUserId
string
required
createdByUserId
string
required
updatedByUserId
string
required
subject
string
required
body
string
required
isHtml
boolean
required
created
string
required
updated
string
required
rolloutUpdated
string
required
originalIds
object
required
original
object
required